module load slurm

module load git subversion
module load gcc/9.3.0 cmake swig
module load python/3.7.7 openssl 
module load qt vtk/7.1.1-Py3 parasolid mumps/mkl-tbb/4.10.0-gcc9.3

module load lagamineAPI
#module load lagamineAPI/200824-gcc9.3

module load samcef gmsh-sdk/4.5.6 
module load isosurf tetgen triangle
module load matlab scilab
module load eigen gmm openmpi/gcc/64/2.1.6
module load trilinos

# intel community 
#. /cm/shared/apps/intel-community/2017.2/mkl/bin/mklvars.sh intel64
#. /cm/shared/apps/intel-community/2017.2/tbb/bin/tbbvars.sh intel64
#. /cm/shared/apps/intel-community/2018.2/mkl/bin/mklvars.sh intel64
#. /cm/shared/apps/intel-community/2018.2/tbb/bin/tbbvars.sh intel64
. /cm/shared/apps/intel-community/2019.0/mkl/bin/mklvars.sh intel64
. /cm/shared/apps/intel-community/2019.0/tbb/bin/tbbvars.sh intel64

# new intel-cluster-studio
#. /cm/shared/apps/ics/2013sp1/ics/2013.1.046/ictvars.sh intel64
#. /cm/shared/apps/ics/2013sp1/mkl/bin/mklvars.sh intel64
#. /cm/shared/apps/ics/2013sp1/tbb/bin/tbbvars.sh intel64


# sinon cmake prend /usr/bin/cc meme si gcc est dans le PATH!
export CC=gcc
export CXX=g++
export FC=gfortran

#icc
#export CC=$(which icc)
#export CXX=$(which icpc)
#export FC=$(which ifort)
