# change module release group rto 2020a (only one that has intel tbb & mkl)
module load releases/2020a

# load modules from release/2020a group 
module load CMake GCC
module load Bison
#module load intel/2020a
module load Python SWIG 
#module load matplotlib
#module load Qt5 

# intel community (copied from warson)
. $HOME/.local/intel/mkl/bin/mklvars.sh intel64
. $HOME/.local/intel/tbb/bin/tbbvars.sh intel64

#
# new intel-cluster-studio
#. /cm/shared/apps/ics/2013sp1/ics/2013.1.046/ictvars.sh intel64
#. /cm/shared/apps/ics/2013sp1/mkl/bin/mklvars.sh intel64
#. /cm/shared/apps/ics/2013sp1/tbb/bin/tbbvars.sh intel64
#
#not in module : 
add2env PATH "$HOME/.local/bin" front
# MKL_DEBUG_CPU_TYPE env variable allows good perfs of mkl (< 2020.1/2 ?) on amd procs
export MKL_DEBUG_CPU_TYPE=5

